Change log for maven-dependency-plugin package in Ubuntu

111 of 11 results
Published in bionic-updates on 2019-04-16
Published in bionic-security on 2019-04-16
Deleted in bionic-proposed (Reason: moved to -updates)
maven-dependency-plugin (3.1.1-1~18.04) bionic; urgency=medium

  * Provide Java EE modules and APIs removed from OpenJDK 11. LP: #1784196.
  * No-change backport from 18.10, needed as a build dependency.

 -- Matthias Klose <email address hidden>  Tue, 19 Feb 2019 15:59:12 +0100
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-07-30
Deleted in cosmic-proposed (Reason: moved to release)
maven-dependency-plugin (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
  * Standards-Version updated to 4.1.5
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Track and download the new releases from GitHub

 -- Emmanuel Bourg <email address hidden>  Mon, 30 Jul 2018 11:53:06 +0200

Available diffs

Superseded in cosmic-release on 2018-07-30
Published in bionic-release on 2017-11-22
Deleted in bionic-proposed (Reason: moved to release)
maven-dependency-plugin (3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Fixed the Maven rule for plexus-classworlds
  * Added the missing dependency on libwagon-http-java
  * Depend on libplexus-container-default-java
    instead of libplexus-container-default1.5-java
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <email address hidden>  Mon, 20 Nov 2017 11:07:22 +0100

Available diffs

Superseded in bionic-release on 2017-11-22
Published in artful-release on 2017-10-10
Deleted in artful-proposed (Reason: moved to release)
maven-dependency-plugin (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Relocate the version 2.8 used by Maven 3.2+ to the current one

 -- Emmanuel Bourg <email address hidden>  Thu, 28 Sep 2017 15:32:33 +0200

Available diffs

Superseded in artful-release on 2017-10-10
Deleted in artful-proposed on 2017-10-11 (Reason: moved to release)
maven-dependency-plugin (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Removed 01-fix-plugin-annotations.patch (fixed upstream)
    - Removed 02-plexus-utils-compatibility.patch (fixed upstream)
    - Removed 03-classworlds-compatibility.patch (obsolete)
    - Removed 04-maven-compatibility.patch (fixed upstream)
    - New dependency on libmaven-artifact-transfer-java
    - Depend on libmaven-dependency-tree-java (>= 3.0)
    - Depend on libmaven-dependency-analyzer-java (>= 1.7)
    - Added a patch to use the version of Aether provided by Maven 3.5

 -- Emmanuel Bourg <email address hidden>  Mon, 04 Sep 2017 20:45:55 +0200

Available diffs

Superseded in artful-release on 2017-09-09
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-12-30
Deleted in xenial-proposed (Reason: moved to release)
maven-dependency-plugin (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Tightened the dependency on libmaven-dependency-tree-java (>= 2.1)
  * Build with the DH sequencer instead of CDBS
  * Removed the javadoc package

 -- Emmanuel Bourg <email address hidden>  Wed, 09 Dec 2015 12:56:52 +0100

Available diffs

Superseded in xenial-release on 2015-12-30
Deleted in xenial-proposed on 2015-12-31 (Reason: moved to release)
maven-dependency-plugin (2.7-2) unstable; urgency=medium

  * Team upload.
  * Replaced the @Component annotation with @Parameter for the 'project' field
    in AnalyzeReportMojo to avoid a build failure (Closes: #799003)

 -- Emmanuel Bourg <email address hidden>  Fri, 30 Oct 2015 13:42:14 +0100

Available diffs

Superseded in xenial-release on 2015-10-31
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
maven-dependency-plugin (2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Tightened the dependencies on libmaven-dependency-analyzer-java (>= 1.4)
      and libmaven-dependency-tree-java (>= 2.0)
  * Moved the package to Git
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <email address hidden>  Wed, 24 Jun 2015 14:40:54 +0200

Available diffs

Superseded in wily-release on 2015-06-25
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-30
Deleted in trusty-proposed (Reason: moved to release)
maven-dependency-plugin (2.4-1) unstable; urgency=low


  * Team upload.
  * New upstream release
    - Added a dependency on libcommons-collections3-java
    - Removed artifact-filter-1.1.patch
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Updated Standards-Version to 3.9.4 (no changes)
  * debian/copyright: Updated the Format URI
  * Build depend on debhelper >= 9
  * Use XZ compression for the upstream tarball
  * Documented the procedure to update the core Maven plugins in README.source

 -- Emmanuel Bourg <email address hidden>  Fri, 18 Oct 2013 13:55:45 +0200

Available diffs

Superseded in trusty-release on 2013-10-30
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-17
maven-dependency-plugin (2.1-4) unstable; urgency=low

  * Add missing Build-Depends-Indep: libmaven-plugin-tools-java.
    (Closes: #643544)

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
maven-dependency-plugin (2.1-2) unstable; urgency=low

  * Fix groupId for maven-plugin-testing-harness dependency
    in the Maven POM.

111 of 11 results